Page MenuHomePhabricator

Remove _Unwind_{Get,Set}{GR,IP} from ARM EHABI build.
ClosedPublic

Authored by logan on Jan 16 2015, 11:58 PM.

Details

Summary

I found that declaring _Unwind_{Get,Set}{GR,IP} as the external
functions will break the build with libgcc, which does not define
these functions in their libraries.

Besides, IMO, since these are not part of the ARM EHABI specification
it will be better to avoid introducing ABI backward incompatible
changes.

This commit partially reverts r219629.

Please have a look. Thanks.

(p.s. This is the 1/6 patch to fix the backtrace_test and libgcc support.)

Diff Detail

Event Timeline

logan updated this revision to Diff 18336.Jan 16 2015, 11:58 PM
logan retitled this revision from to Remove _Unwind_{Get,Set}{GR,IP} from ARM EHABI build..
logan updated this object.
logan edited the test plan for this revision. (Show Details)
logan added reviewers: danalbert, rengolin, jroelofs.
logan added a subscriber: Unknown Object (MLST).
rengolin accepted this revision.Jan 20 2015, 6:04 AM
rengolin edited edge metadata.

LGTM, Thanks!

--renato

This revision is now accepted and ready to land.Jan 20 2015, 6:04 AM
logan updated this revision to Diff 18528.Jan 21 2015, 9:22 AM
logan edited edge metadata.

Fix the conditional compilation guard.

It seems that I forgot to delete this when I was rebasing.

logan closed this revision.Jan 22 2015, 5:28 AM

Thanks. Committed with rL226818.